Runs an automation through its Manual trigger.
curl --request POST \
--url https://api.leadping.ai/automations/{id}/run \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.leadping.ai/automations/{id}/run"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/automations/{id}/run");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.leadping.ai/automations/{id}/run")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.leadping.ai/automations/{id}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/automations/{id}/run"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/automations/{id}/run",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"automationLineage": {
"rootEventId": "<string>",
"triggerEventId": "<string>",
"runId": "<string>",
"actionId": "<string>",
"automationIds": [
"<string>"
]
},
"id": "<string>",
"automationId": "<string>",
"organizationId": "<string>",
"leadId": "<string>",
"triggerType": "<string>",
"triggerId": "<string>",
"conditionResults": {},
"status": "<string>",
"executionMode": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"processingAttempts": 123,
"lastAttemptAt": "2023-11-07T05:31:56Z",
"failureCode": "<string>",
"skippedReason": "<string>",
"actions": [
{
"smsDelivery": {
"smsEventId": "<string>",
"status": "draft",
"scheduledFor": "2023-11-07T05:31:56Z",
"nextRetryAt": "2023-11-07T05:31:56Z",
"errorCode": "<string>",
"reason": "<string>",
"summary": "<string>"
},
"id": "<string>",
"automationRunId": "<string>",
"actionId": "<string>",
"actionType": "<string>",
"order": 123,
"status": "<string>",
"selectedConnectionId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"scheduledAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"failedAt": "2023-11-07T05:31:56Z",
"processingAttempts": 123,
"nextRetryAt": "2023-11-07T05:31:56Z",
"failureCode": "<string>"
}
]
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 500,
"detail": "The request could not be completed."
}Automations
Runs an automation through its Manual trigger.
Starts the specified automation through its manual trigger and returns the newly created execution record.
POST
/
automations
/
{id}
/
run
Runs an automation through its Manual trigger.
curl --request POST \
--url https://api.leadping.ai/automations/{id}/run \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.leadping.ai/automations/{id}/run"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/automations/{id}/run");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.leadping.ai/automations/{id}/run")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.leadping.ai/automations/{id}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/automations/{id}/run"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/automations/{id}/run",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"automationLineage": {
"rootEventId": "<string>",
"triggerEventId": "<string>",
"runId": "<string>",
"actionId": "<string>",
"automationIds": [
"<string>"
]
},
"id": "<string>",
"automationId": "<string>",
"organizationId": "<string>",
"leadId": "<string>",
"triggerType": "<string>",
"triggerId": "<string>",
"conditionResults": {},
"status": "<string>",
"executionMode": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"processingAttempts": 123,
"lastAttemptAt": "2023-11-07T05:31:56Z",
"failureCode": "<string>",
"skippedReason": "<string>",
"actions": [
{
"smsDelivery": {
"smsEventId": "<string>",
"status": "draft",
"scheduledFor": "2023-11-07T05:31:56Z",
"nextRetryAt": "2023-11-07T05:31:56Z",
"errorCode": "<string>",
"reason": "<string>",
"summary": "<string>"
},
"id": "<string>",
"automationRunId": "<string>",
"actionId": "<string>",
"actionType": "<string>",
"order": 123,
"status": "<string>",
"selectedConnectionId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"scheduledAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"failedAt": "2023-11-07T05:31:56Z",
"processingAttempts": 123,
"nextRetryAt": "2023-11-07T05:31:56Z",
"failureCode": "<string>"
}
]
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 500,
"detail": "The request could not be completed."
}Authorizations
Response
Returns the newly created automation execution record.
History record schema for Leadping API automation run record data exposed in automation and audit views.

